/* general.h
	Shared stuff	
*/

/* Defines */
#ifndef _GENERAL_H_
#define _GENERAL_H_
#ifndef _GNU_SOURCE
#define _GNU_SOURCE
#endif
#define version      "1.9"	//defined as a "string" instead of a "double" eases passing
#define pppisdead     2
#define pppdead	      3
#define ERROR 	      1
#define clean		  0
#define no_files_open false
#define files_open	  true
#define FILE_EXISTS	  true
#define FILE_MISSING  false
#define overwrite     true

/* Includes */

//#include <fstream>
#include <cstdlib>
#include <cstdio>
#include <sys/types.h>
#include <unistd.h>
#include <sys/time.h>
#include <string>
#include <sstream>

/* Namespaces is always good */
using namespace std;

/* Functions */

void leave (int excode, char lmsg[], bool ofile);
void sound ();
int errorhandler (char reason[]);
int dial ();
int totOnline();

/* Classes */

class CheckForFile
{
protected:
  int fname;
public:
    bool filex (int fname, bool FromDellog);
};
extern CheckForFile e;

/* Structs */

extern struct tm *tblock;
extern time_t starttime, endtime, timer;

#endif

